
Figure - Bug #117649
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】副屏voice call的音量和媒体音量不一致
2023-04-24 11:08 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-24

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304220234

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-25

Test Type: ST Root cause: 由于当前的没有headset设备，我们将音量的设置统一为speaker；��并修复中控设置副屏音量时，设置为music流的音量。

Description

【测试步骤】

1、微信接通电话

2、观察控制中心音量显示

3、挂断电话，观察控制中心音量显示

【预期结果】

3、步骤二三中音量一致

【测试结果】

3、步骤二三中音量不一致

History

#1 - 2023-04-25 15:20 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前问题原因有两个：

1.在中控设置副屏音量时，设置的是voice call流的音量；

2.在副屏语音通话时，获取的是headset设备的音量，导致和speaker音量不一致；

由于当前的没有headset设备，我们将音量的设置统一为speaker；

并修复中控设置副屏音量时，设置为music流的音量。

#2 - 2023-04-25 19:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

196137 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com
MM: Audio:Volume device EARPIECE change to SPEAKERVolume device EARPIECE change to SPEAKERTC-RID: 0301-0900116IssueID:

TS-R-BUG-117649Change-Id: I5e554fe2ae7470e1336d4669e418bcc2b2f35b62

#3 - 2023-04-25 19:28 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-25

- Root cause set to 由于当前的没有headset设备，我们将音量的设置统一为speaker；

并修复中控设置副屏音量时，设置为music流的音量。

HI 永红

该问题修复的代码已经投入，请使用4/25日后的版本进行验证，谢谢！

#4 - 2023-05-05 14:23 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

5.5

验证通过

#5 - 2023-05-05 14:23 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
